.s-product-hero {
    margin-top: 50px;
}

.p-product-thumb-swiper-slide {
    width: 100%;
    height: 135px;
}

.p-product-thumb-swiper-slide img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.product-swiper-image {
    width: 100%;
    aspect-ratio: 1 / 1;
}

.product-swiper-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.s-product-swiper-thumbs {
    margin-top: 20px;
}

.s-product-title-and-price {
    margin-top: 20px;
}

.s-product-short-description {
    margin-top: 15px;
}

.s-product-response {
    display: none;
    flex-direction: column;
    gap: 20px;
}


.s-product-cart button {
    border: none;
}

.s-product-buttons {
    display: flex;
    flex-direction: column;
    gap: 20px;
    margin-top: 30px;
}




.typing-indicator {
    width: 60px;
    height: 30px;
    position: relative;
    z-index: 4;
    display: none;
}



.typing-circle {
    width: 8px;
    height: 8px;
    position: absolute;
    border-radius: 50%;
    background-color: var(--blue);
    left: 15%;
    transform-origin: 50%;
    animation: typing-circle7124 0.5s alternate infinite ease;
}


@keyframes typing-circle7124 {
    0% {
        top: 20px;
        height: 5px;
        border-radius: 50px 50px 25px 25px;
        transform: scaleX(1.7);
    }

    40% {
        height: 8px;
        border-radius: 50%;
        transform: scaleX(1);
    }

    100% {
        top: 0%;
    }
}

.typing-circle:nth-child(2) {
    left: 45%;
    animation-delay: 0.2s;
}

.typing-circle:nth-child(3) {
    left: auto;
    right: 15%;
    animation-delay: 0.3s;
}

.typing-shadow {
    width: 5px;
    height: 4px;
    border-radius: 50%;
    background-color: rgba(218, 165, 32, 0.2);
    position: absolute;
    top: 30px;
    transform-origin: 50%;
    z-index: 3;
    left: 15%;
    filter: blur(1px);
    animation: typing-shadow046 0.5s alternate infinite ease;
}

@keyframes typing-shadow046 {
    0% {
        transform: scaleX(1.5);
    }

    40% {
        transform: scaleX(1);
        opacity: 0.7;
    }

    100% {
        transform: scaleX(0.2);
        opacity: 0.4;
    }
}

.typing-shadow:nth-child(4) {
    left: 45%;
    animation-delay: 0.2s;
}

.typing-shadow:nth-child(5) {
    left: auto;
    right: 15%;
    animation-delay: 0.3s;
}


.active-response {
    display: flex;
}

.s-product-not-active {
    display: flex;
    align-items: center;
    gap: 10px;
}

.s-product-loading {
    display: block;
}

.s-product-prices-wrapper {
    background: rgba(0, 101, 181, 0.09);
    padding: 10px 15px;
    border: 1px solid var(--light-border);
    border-radius: var(--radius);
}

.s-product-description-holder {
    margin-top: 15px;
}

.s-product-description-holder h1, .s-product-description-holder h2, .s-product-description-holder h3, .s-product-description-holder h4, .s-product-description-holder h5, .s-product-description-holder h6 {
    margin-bottom: 15px;
    font-size: 18px;
    line-height: 25px;
}

.s-product-description-holder p {
    margin-bottom: 15px;
}

.s-product-description-holder ul p {
    margin: 0px !important;
}

.s-product-description-holder ul {
    list-style: disc;
    padding-left: 1rem;
}

.upsell-products-slider {
    margin-top: 30px;
}

.in-progress-button .loaderItem {
    display: flex !important;
}

.non-loading-product-part {
    display: flex;
    align-items: center;
    gap: 10px;
}

.in-progress-button .non-loading-product-part {
    display: none;
}

@media only screen and (min-width:992px) {
    .s-product-hero {
        margin-top: 100px;
    }

    .s-product-description-holder h1, .s-product-description-holder h2, .s-product-description-holder h3, .s-product-description-holder h4, .s-product-description-holder h5, .s-product-description-holder h6 {
        margin-bottom: 20px;
        font-size: 20px;
        line-height: 30px;
    }

    .s-product-swiper-and-content {
        display: flex;
        gap: 50px;
    }

    .s-products-slider-holder {
        width: calc(50% - 25px);
    }

    .s-product-content {
        width: calc(50% - 25px);
    }

    .p-product-thumb-swiper-slide {
        height: 145px;
    }

    .s-product-description-holder {
        width: 70%;
        margin-top: 30px;
    }

    .s-product-description-holder p {
        margin-bottom: 20px;
    }

    .s-product-description-holder ul {
        padding-left: 2rem;
    }

    .upsell-products-slider {
        margin-top: 50px;
    }

}

@media only screen and (min-width:1200px) {
    .s-product-swiper-and-content {
        gap: 100px;
    }

    .s-products-slider-holder {
        width: calc(50% - 50px);
    }

    .s-product-content {
        width: calc(50% - 50px);
    }


    .p-product-thumb-swiper-slide {
        height: 120px;
    }

    .s-product-buttons {
        margin-top: 50px;
        gap: 30px;
    }
}

@media only screen and (min-width:1400px) {
    .p-product-thumb-swiper-slide {
        height: 140px;
    }

    .s-product-swiper-and-content {
        gap: 5%;
    }

    .s-products-slider-holder {
        width: 40%;
    }

    .s-product-content {
        width: 50%;
    }

    .s-product-description-holder h1, .s-product-description-holder h2, .s-product-description-holder h3, .s-product-description-holder h4, .s-product-description-holder h5, .s-product-description-holder h6 {

        font-size: 25px;
        line-height: 35px;
    }
}

@media only screen and (min-width:1600px) {
    .s-product-swiper-and-content {
        width: 95%;
    }
}

@media only screen and (min-width:1800px) {
    .p-product-thumb-swiper-slide {
        height: 150px;
    }

    .s-product-swiper-and-content {
        width: 90%;
        justify-content: space-between;
    }
}

@media only screen and (min-width:992px) and (hover:hover) {
    .p-product-thumb-swiper-slide {
        position: relative;
        overflow: hidden;
    }

    .p-product-thumb-swiper-slide::before {
        content: "";
        background: rgba(255, 255, 255, .3);
        border-radius: 100%;
        content: "";
        display: block;
        height: 0;
        left: 50%;
        opacity: 0;
        position: absolute;
        top: 50%;
        transform: translate(-50%, -50%);
        width: 0;
        z-index: 2;
    }

    .s-product-swiper-thumbs .swiper-slide {
        cursor: pointer;
    }

    .s-product-swiper-thumbs .swiper-slide:hover .p-product-thumb-swiper-slide::before {
        animation: twoTimesCircle 0.6s ease-in;
    }
}